########################################
# -*- coding:Utf-8 -*- 
########################################

import es, psyco, playerlib
psyco.full()

name_map = es.ServerVar("eventscripts_currentmap")
avec_awp = es.ServerVar("round_max_avec_awp")
sans_awp = es.ServerVar("round_max_sans_awp")
user_min = es.ServerVar("player_min_active")
maps_ext = es.ServerVar("extension_map_on")

info = es.AddonInfo()
info.name = "Limite AWP Python"
info.version = "1.2"
info.author = "Cbirou et Belzébuth en invention. DoCky, Patneze et Sylv@in en Python. Testé par InSiD<- des InTenSiV'(phoenix)"
info.description = "Permet de limiter l'utilisation de l'AWP en fonction d'un nombre de round ou de joueurs. Script traduit en python et modifier"
es.ServerVar("addons_Python_Limite_AWP",info.version).makepublic() 

def config(M):
    global script
    script = {"activate" : 0, "deja awp" : [], "avec awp" : {}, "sans awp" : {}}
    es.server.cmd("es_xmexec ../addons/eventscripts/limite_awp/limite_awp.cfg")

    if M.split("_")[0] in str(maps_ext):
        script["activate"] = 1

    else:
        script["activate"] = 0

def load():
    config(str(name_map))

def es_map_start(ev):
    config(ev["mapname"])

def player_activate(ev):
    script["avec awp"][ev["userid"]] = 0
    script["sans awp"][ev["userid"]] = 0

def item_pickup(ev):
    if script["activate"]:
        if ev["item"] == "awp":
            if es.getplayercount() < int(user_min) or script["avec awp"][ev["userid"]] == int(avec_awp):
                remove_awp(ev["userid"])
                es.msg ("#multi", "#green[#lightgreenLIMITATION AWP#green]#lightgreen Il faut #default"+str(user_min)+"#lightgreen joueurs pour prendre #defaultl'AWP !!!")

            elif not ev["userid"] in script["deja awp"]:
                script["deja awp"].append(ev["userid"])
                script["avec awp"][ev["userid"]] += 1

def player_spawn(ev):
    if script["activate"]:
        if not es.getplayerprop(ev["userid"], "CBasePlayer.pl.deadflag"):
            if playerlib.getPlayer(ev["userid"]).get("primary") != "awp" and ev["userid"] in script["deja awp"]:
                script["sans awp"][ev["userid"]] += 1
                script["deja awp"].remove(ev["userid"])
                es.msg ("#multi", "#green[#lightgreenLIMITATION AWP#green] #default"+str(ev["es_username"])+"#green doit lacher son AWP !!!")

            elif es.getplayercount() < int(user_min) or script["avec awp"][ev["userid"]] == int(avec_awp):
                if script["sans awp"][ev["userid"]] != int(sans_awp):
                    script["sans awp"][ev["userid"]] += 1
                    remove_awp(ev["userid"])
                    es.msg ("#multi", "#green[#lightgreenLIMITATION AWP#green]#lightgreen Il faut #default"+str(user_min)+"#lightgreen joueurs pour prendre #defaultl'AWP !!!")

            else:
                script["deja awp"].append(ev["userid"])
                script["avec awp"][ev["userid"]] += 1

def round_end(ev):
    for userid in script["avec awp"]:
        if script["avec awp"][userid] == int(avec_awp) and script["sans awp"][userid] >= int(avec_awp):
            script["avec awp"][userid] = 0
            script["sans awp"][userid] = 0

def remove_awp(userid):
    es.server.queuecmd("es_xremove %s" % playerlib.getPlayer(userid).get("weaponindex", "awp"))
    es.sexec(userid, "use weapon_knife")
    cash_player = playerlib.getPlayer(userid).get("cash")
    cash_temp = cash_player + 4750
    if cash_temp <= 16000:
        playerlib.getPlayer(userid).set("cash", cash_temp)
    else:
        playerlib.getPlayer(userid).set("cash", 16000)
